package main;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;

import rendering.GameBoard;
import rendering.MouseController;


public class Game extends JFrame  {
	
	public static final int screenX = 800;
	public static final int screenY = 800;
	
	public GameBoard gameBoard;
	
	public Game() {
		
		initUI();
	}

	private void initUI() {

		gameBoard = new GameBoard();
		
		add(gameBoard);
		addMouseListener(new MouseController());

		setTitle("Sudoku");
		setSize(screenX, screenY);
		
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setLocationRelativeTo(null);
	}
	
	public static void main(String[] args) {

		SwingUtilities.invokeLater(new Runnable() {

			@Override
			public void run() {

				Game game = new Game();
				game.setVisible(true);
			}
		});
	}
}
