package rendering;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;

public class Field implements Drawable {

	private int x;
	private int y;
	private int number;
	
	public static final int width = 80;
	public static final int height = 80;
	

	public Field(int x, int y, int number) {
		super();
		this.x = x;
		this.y = y;
		this.number = number;
	}

	@Override
	public void draw(Graphics2D g2d) {
		g2d.drawRect(x, y, width, height);
		
		g2d.setColor(Color.blue);
		g2d.setFont(new Font("Ariel", Font.PLAIN, 30));
		g2d.drawString(Integer.toString(number), x + width / 2 - 10, 
				y + height / 2 + 13);
	}

}
