package rendering;

import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JPanel;


public class GameBoard extends JPanel {
	
	public static final int boardDimension = 9;

	public Drawable drawables[];
	
	public GameBoard() {
		drawables = new Drawable[boardDimension * boardDimension];
		
		initBoard();
	}
	
	private void initBoard() {
		for(int i = 0; i < drawables.length; i++) {
			int x = (i % boardDimension) * Field.width;
			int y = (i / boardDimension) * Field.height;
			
			drawables[i] = new Field(x, y, i / boardDimension);
		}
	}

	private void doDrawing(Graphics2D g2d) {
		for (Drawable drawable : drawables) {
			drawable.draw(g2d);
		}
	}
	
	@Override
	public void paintComponent(Graphics g) {

		super.paintComponent(g);
		doDrawing((Graphics2D)g);
	}
}
